<?php
namespace WorkbloomERP\Module\v0\Contato\Constants;

class OrgaoPublicoConst {
    public const CONTATO_ORGAO_PUBLICO = [
        'NAO' => 'Não',
        'FEDERAL' => 'Órgão Público Federal',
        'ESTADUAL' => 'Órgão Público Estadual',
        'MUNICIPAL' => 'Órgão Público Municipal'
    ];

    public static function getAll(): array {
        return self::CONTATO_ORGAO_PUBLICO;
    }

    public static function isValid(string $value): bool {
        return array_key_exists(key: $value, array: self::CONTATO_ORGAO_PUBLICO);
    }

    public static function getDescription(string $key): ?string {
        return self::CONTATO_ORGAO_PUBLICO[$key] ?? null;
    }
}